Chuyển đến nội dung
Diễn đàn CADViet

lp_hai

Thành viên
  • Số lượng nội dung

    510
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    8

Bài đăng được đăng bởi lp_hai


  1. Cách vẽ nhanh nhất là vẽ cho thật đúng, không phải mất thời gian để vẽ xong phải đi kiểm tra lại từng cái!? rồi lại chình sửa. theo mình bạn cứ thủ công là đủ nhanh rồi, bạn có thể thay vì vẽ line bạn vẽ rectang. Các CAD đời sau hỗ trợ kéo grip rất tiện, bạn có thể tìm hiểu về tracking để kết hợp vẽ đúng kích thước mong muốn nữa là tuyệt vời :)

    • Like 1

  2. Đầu tiên bạn phải chuyển dim, text theo tl 1/75, lúc này "độ lớn" của chữ sẽ lớn hơn gấp 3 là (75 gấp 3 lần 25). Nếu có khung tên bạn cũng phải scale khung tên lên 3 lần theo nếu trình bày khung tên bên model, còn nếu trình bày khung tên bê layout thì không scale khung tên mà phải chỉnh tỷ lệ của viewport về 1/75. Lúc này hình trong viewport sẽ scale nhỏ lại 1/3....
     


  3. Vào lúc 13/8/2018 tại 10:01, tuhungbkdn đã nói:

    ấn đề này thì mình cũng biết không ảnh hưởng kết quả bản vẽ nhưng nó lại ảnh hưởng tới vấn đề bắt điểm

    nếu ảnh hưởng đến vấn đề bắt điểm là do bạn vẽ bị sai, chứ nếu vấn đề hiển thị thì cho dù nó có rời ra thì nó vẫn là điểm đó. Còn nếu bạn zoom lên mà bắt được 3 điểm khác nhau tại vị trí đó thì chỉ có cách bạn vẽ lại thì mới đúng.
    Chú ý khi vẽ zoom quá xa sẽ không chính xác khi dùng bắt điểm theo vuôn góc hay near, và chú ý tắt chế độ nhảy điểm snap....


  4. Chắc tại xài Cad mà máy mạnh quá nên nó ghét không thèm vào :)

    Đùa chứ như bạn nói thì liên quan đến Font rồi. Đặt biệt cad 2007 thì nó liên quan đến lỗi annotation. có thể khi file có font nó sẽ bị dính annotation làm cho phần hiển thị hơi bị nặng. mà tốt nhất bạn upfile lên mọi người xem thử à

     


  5. do cái xoắn xoắn đó là line type. nên nó sẽ phóng to thu nhỏ theo linestypscale (lts). cũng tương tự như nét đứt vậy. bạn muốn nhìn cho đúng thì mỗi lần chuyển môi trường làm việc  bạn phải chỉnh lại lts cho phù hợp. Và theo kinh nghiệm của mình thì các loại insulation này nên vẽ ra rồi tạo thì block. không chơi line

    trong file của bạn thì ở layout bạn chỉnh lts nhỏ xuống bằng lts hiện tại/ scale


  6. Mình tạm trả lời bạn theo hiểu biết của mình thôi,

    1. bản vẽ thô về gia công lại là bạn không cần phải thiết kế gì cả, nghĩa là bạn chỉ cần phát triển dựa trên thiết kế cơ sở của người ta, giống như mục số 4 dưới đây

    2. Phác họa là cái này lúc bắt đầu thiết kế bạn phác họa ra ý tưởng của bạn để chủ nhà có thế hình dung: khu đất này bạn sẽ xây cái nhà gồm mấy tầng, sân vườn thế nào, lối đi làm sao... rất chi là chung chung, nhưng đủ để thuyết phục chủ nhà theo phương án tk của bạn. vẽ thì phát họa hình khối cơ bản

    3. Cái này còn gọi là dự toán, bao nhiêu gạch đá xi măng.... tiền công.... chi phí

    4. như đã nói, giai đoạn này bạn đã có thiết kế cơ sở hình thù cơ bản ngôi nhà, nhưng để người thợ xây xây được bạn cần có bản vẽ triển khai chi tiết: vị trí tường, cửa, chiều dày tường, màu sơn, vật liệu hoàn thiện..... cho phần kiến trúc. Còn kết cấu thì phải xác định rõ móng, dầm, cột.. kích thước, vị trí, cốt thép.... Rồi bản vẽ điện, nước...

    5. Cái này thường sau khi vẽ phác họa ở bước 2, thì bạn sẽ phải làm tiếp bước này để chủ nhà có cái nhìn rõ hơn, trước khi đồng ý thiết kế.

    6. Tối ưu hóa thì trong quá trình thiết kế là chủ yếu. Còn ở ngoài chủ nhà lúc mới thì lúc nào cũng bảo: Cứ làm cho đẹp vào, tốt vào, tiền không quan trọng.... đến khi xem bản dự toàn thì: sao nhiều tiền thế, thôi bớt cái này, giảm cái kia.... Các bác phải cẩn thận! và nên hỏi chủ nhà định xây trong bao nhiêu, để bạn tính toán cho hợp lý, tránh việc chỉnh sửa nhiều


  7. muốn vẽ thép hình đẹp thì phải tìm hiểu cá thông số cần biết của thép hình. Còn lisp là công cụ để vẽ thôi, bạn cũng phải nhập các thông số đó vào. Và nếu bạn không biết nó thì chẵn qua là lisp sẽ thay bạn vẽ "thép hình xấu" chứ chả khá hơn....

    W, H k....đó là những thông số cơ bản của của thép hình, trong đó k sẽ cho bạn biết bán kính cong chỗ giao giũa cánh và bụng 


  8. theo mình thì có thể làm được thế này:

    bạn phải chọn 2 đường cap giao nhau cần tính;

    phải chọn 2 cao độ trước và sau điểm giao (tổng cộng chọn 4 cao độ: 2 cho x và 2 cho y)

    sẽ trả lại kết quả là cao độ của x và cao độ của y tại điểm giao... hoặc kết quả thế nào cũng được tùy ý bạn.
    Tóm lại là mỗi lần bạn chỉ tính được 1 điểm, có thể lập lại khi bạn tiếp tục chọn 2 đường cap và 4 điểm xung quanh


  9. Các bác làm khó chủ thớt quá :) cái này phải dùng lisp là đúng rồi, vì lọc theo giá trị của text nữa. Cơ mà chủ thớt cần đưa ra text hoặc Mtext có dạng như thế nào VD chỉ toàn số 0.001 hay là H=0.01 đó là mình vd, bạn phải nói rõ cái này để việc xử lý text lấy giá trị được đúng theo ý bạn


  10. 38 phút trước, Doan Van Ha đã nói:

    Tham khảo vài cách:

    (command "shell" "D:/xxx/run.exe")
    (command "ai_editcustfile" "D:/xxx/run.exe")
    (startapp "D:/xxx/run.exe")

    (defun MyOpen (FileName_and_Path ReadOnly / )
     (vla-Open (vla-get-Documents (vlax-get-Acad-Object)) FileName_and_Path (if ReadOnly :vlax-true :vlax-false)))
     

    Thanks bác nhiều nhé!


  11. Kịp thời}}, hoangan_alain15 cho biết:

    như vậy thì phải mở từng bản vẽ, em muốn thay cho hàng loạt bản vẽ

    Em có mày mò được cách dùng script, nhưng vẫn còn 1 số bất cập.

    Mình không biết do bạn lười hay yêu cầu cao quá. Cái này mình nghĩ bên VBA có thể làm được. Mà cho dùng bạn có automation đến đâu cũng phải mở từng bản vẽ lên mà kiểm tra lại. Chứ chả ai dám ngồi bấm nút xong là gửi bản vẽ đâu bạn ơi :)

×